Package opencubicplayer missing from Debian 9

New to Debian (Or Linux in general)? Ask your questions here!

Package opencubicplayer missing from Debian 9

Postby bicyclesonthemoon » 2018-03-06 22:38

I have recently installed Debian 9.
I was previously using Debian 7 on a different computer.
I'm now in the process of setting up the environment to be the same as it was on Debian 7.
The same programs, files, settings, ...

I encountered a problem when I tried to install one of the programs I used there, the Open Cubic Player.
On Debian 7 it was installed with the package manager, the package opencubicplayer (
I have found that this package is missing from this version of Debian, but is present for other versions (wheezy, jessie, buster, sid).
Why is it so?
It's problematic for me because it left me without a possibility to install the program.

When using Debian 7 when I sometimes needed a newer version of a package which was not available for this version of Debian I would download the package which is for the other Debian version, install it and try to solve dependency problems if they appear. I did so for example for mspdebug or musescore if I remember correctly.
But this time doing so was unsuccessful because it creates aa dependency problem which is unable to resolve with the package manager.

Skipping completely the package manager and installing it by downloading and compiling the source code from the programs website was problematic and unsuccessful too. At first ./configure refused because my gcc was too new, apparently. I had to edit this check to continue. Then it was missing some libraries which I had to install. But the configure script didn't tell at once the missing libraries but one by one. It complained about just one missing library, I installed it and then it ccomplained about the next one. Finally, I had everything. But, unfortunately it didn't compile. The error messages were "Error: junk `(%ebx)' after expression". Maybe the gcc was too new after all.

I don't know how to continue.
I don't know why a package is removed from one version of Debian and what to do about it.
Interestingly, this page I found ( ... ubicplayer) suggests that it should be possible to install it by the package manager.

I only started setting up the computer like it is on the computer with Debian 7 so I expect that other problems with other problems can appear too.
Posts: 1
Joined: 2018-03-06 22:00

Re: Package opencubicplayer missing from Debian 9

Postby stevepusser » 2018-03-06 23:25

Obviously that guide you found is dead wrong; I wouldn't be surprised if it was automatically generated just to get you to click on it.

The Debian testing version is patched to work around the gcc issues, which is one of the benefits you get by backporting the sources from upstream Debian:

Code: Select all
ocp (1:0.1.21-2) unstable; urgency=medium

  [ Gürkan Myczko ]
  * Really run dh-autoreconf; thanks Logan Rosen. (Closes: #744480)
  * Fix FTBFS on gcc-7; thanks Steve Langasek. (Closes: #853581)
  * Fix FTBFS on i386; thanks Steve Langasek. (Closes: #848916)
  * Bump debhelper version to 10.
  * Bump standards version to 4.1.0.
  * Update my name.

  [ Adam Borowski ]
  * Remove bogus ancient gcc detection completely, fixes FTBFS on gcc-7.
  * Axe redundant/obsolete {Build-,}Depends (dh-autoreconf, autotools-dev,
    texi2html, install-info).
  * wrap-and-sort.
  * Obey dpkg-buildflags.

Though hopefully their patches also fixed it for gcc-6 in Stretch. You could request a backport on the backports mailing list if you can't do it yourself or in the cloud on the openSUSE Build Service.

FTBFS=Failure to build from source.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Pidgin 2.13.0, Pale Moon 27.8.1, KeePassXC 2.3.1, Calligra 3.1, VLC 3.0.1, Firefox 59, Flameshot 5.1
User avatar
Posts: 9338
Joined: 2009-10-06 05:53

Return to Beginners Questions

Who is online

Users browsing this forum: No registered users and 5 guests